PivotTable Theme

SpreadJS provides 85 predefined themes - 29 light, 28 medium and 28 dark themes - that can be applied to a PivotTable. And you can add custom themes.

The demo is being dynamically compiled to support real-time code editing... For quicker access to features, switch to the "JavaScript" tab for a smoother experience! :)
Description
app.js
index.html
styles.css
Copy to CodeMine

You can change the PivotTable theme in the following ways:

    ///* function theme(theme: string | GC.Spread.Pivot.PivotTableTheme)
    /**
     * get or set pivot table theme
     * @param {string | PivotTableTheme} theme The param is style for pivot table
     * @example
     * pivotTable.theme(GC.Spread.Pivot.PivotTableThemes.light1.name())
     */
    theme (theme: string | PivotTableTheme): PivotTableTheme | void;
    let pivotTable = sheet.pivotTables.add("PivotTable", table.name(), 0, 0, GC.Spread.Pivot.PivotTableLayoutType.outline, GC.Spread.Pivot.PivotTableThemes.medium2.name());

    pivotTable.theme(GC.Spread.Pivot.PivotTableThemes.dark2.name());

You can also add custom themes and apply them.

    GC.Spread.Sheets.Workbook {
        //...

        // Customized Pivot Table Theme Manager
        customPivotTableThemes: CustomPivotTableThemesManager;
        /**
        * Set or get the default pivot table theme.
        */
        defaultPivotTableTheme: (name?: string) => GC.Spread.Pivot.PivotTableTheme | void;
    }
    class GC.Spread.Sheets.CustomPivotTableThemesManager {
        /**
        * Get all custom pivot table themes.
        */
        all: () => Array<GC.Spread.Pivot.PivotTableTheme>;
        /**
        * Get the custom pivot table theme by name.
        */
        get: (name: string) => GC.Spread.Pivot.PivotTableTheme | void;
        /**
        * Add the custom pivot table theme by name or style object.
        */
        add: (style: GC.Spread.Pivot.PivotTableTheme | string) => void;
        /**
        * Remove the custom pivot table theme by name.
        */
        remove: (name: string) => void;
        /**
        * Update the custom pivot table theme by name or style object.
        */
        update: (oldThemeName: string, newTheme: GC.Spread.Pivot.PivotTableTheme) => void;
    }
    const customTheme = new GC.Spread.Pivot.PivotTableTheme();
    customTheme.name("custom0");
    const whoTableStyle = new GC.Spread.Pivot.PivotTableStyle('red', 'white', '16px Calibri', new GC.Spread.Sheets.LineBorder('green'));
    customTheme.wholeTableStyle(whoTableStyle);
    spread.customPivotTableThemes.add(customTheme);

    pivotTable.theme("custom0");

    pivotTable.getStyleName(); // "custom0"

    // set default pivot table theme
    spread.defaultPivotTableTheme('custom0');
You can change the PivotTable theme in the following ways: You can also add custom themes and apply them.
window.onload = function () { let spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss"), {sheetCount: 2}); initCustomThemes(spread); initSpread(spread); }; function initCustomThemes(spread) { const theme1 = new GC.Spread.Pivot.PivotTableTheme(); theme1.name('custom1'); theme1.wholeTableStyle(new GC.Spread.Pivot.PivotTableStyle('#b2dfdb', 'Text 1')); theme1.headerRowStyle(new GC.Spread.Pivot.PivotTableStyle('#00695c', '#fff')); theme1.reportFilterLabelsStyle(new GC.Spread.Pivot.PivotTableStyle('Accent 1 -50', '#fff')); theme1.reportFilterValuesStyle(new GC.Spread.Pivot.PivotTableStyle('Accent 1 -50', '#fff')); theme1.rowSubheading1Style(new GC.Spread.Pivot.PivotTableStyle('#e0f2f1', 'Text 1')) theme1.rowSubheading2Style(new GC.Spread.Pivot.PivotTableStyle(undefined, 'Text 1')) theme1.secondRowStripeStyle(new GC.Spread.Pivot.PivotTableStyle('#4db6ac')); theme1.subtotalRow1Style(new GC.Spread.Pivot.PivotTableStyle(undefined, 'Text 1')); theme1.grandTotalRowStyle(new GC.Spread.Pivot.PivotTableStyle('#00695c', '#fff')); const theme2 = new GC.Spread.Pivot.PivotTableTheme(); theme2.name('custom2'); theme2.wholeTableStyle(new GC.Spread.Pivot.PivotTableStyle('#ECEFF1', 'Text 1')); theme2.headerRowStyle(new GC.Spread.Pivot.PivotTableStyle('#455A64', '#fff')); theme2.reportFilterLabelsStyle(new GC.Spread.Pivot.PivotTableStyle('#607D8B', '#fff')); theme2.reportFilterValuesStyle(new GC.Spread.Pivot.PivotTableStyle('#607D8B', '#fff')); theme2.rowSubheading1Style(new GC.Spread.Pivot.PivotTableStyle('#90A4AE', 'Text 1')) theme2.rowSubheading2Style(new GC.Spread.Pivot.PivotTableStyle(undefined, 'Text 1')) theme2.secondRowStripeStyle(new GC.Spread.Pivot.PivotTableStyle('#CFD8DC')); theme2.subtotalRow1Style(new GC.Spread.Pivot.PivotTableStyle(undefined, 'Text 1')); theme2.grandTotalRowStyle(new GC.Spread.Pivot.PivotTableStyle('#455A64', '#fff')); spread.customPivotTableThemes.add(theme1); spread.customPivotTableThemes.add(theme2); } function initSpread(spread) { spread.suspendPaint(); let sheet1 = spread.getSheet(0); let sheet2 = spread.getSheet(1); let tableName = getDataSource(sheet2, pivotSales); let pivotTable = initPivotTable(sheet1, tableName); themeOptions(spread); bindEvent(pivotTable); columnFit(sheet2,0,6,100); spread.resumePaint(); } function getDataSource(sheet, tableSource){ sheet.name("DataSource"); sheet.setRowCount(117); sheet.setColumnWidth(0, 120); sheet.getCell(-1, 0).formatter("YYYY-mm-DD"); sheet.getRange(-1,4,0,2).formatter("$ #,##0"); let table = sheet.tables.add('table', 0, 0, 117, 6); for(let i=2;i<=117;i++) { sheet.setFormula(i-1,5,'=D'+i+'*E'+i) } table.style(GC.Spread.Sheets.Tables.TableThemes["none"]); sheet.setArray(0, 0, tableSource); return table.name(); } function initPivotTable(sheet, source){ sheet.name("PivotTable"); sheet.setRowCount(1000); let option = { bandRows:true, bandColumns:true }; let pivotTable = sheet.pivotTables.add("pivotTable", source, 1, 1, GC.Spread.Pivot.PivotTableLayoutType.outline, GC.Spread.Pivot.PivotTableThemes.medium8.name(), option); pivotTable.suspendLayout(); pivotTable.add("salesperson", "Salesperson", GC.Spread.Pivot.PivotTableFieldType.rowField); pivotTable.add("car", "Cars", GC.Spread.Pivot.PivotTableFieldType.rowField); let groupInfo = { originFieldName: "date", dateGroups: [{ by: GC.Pivot.DateGroupType.quarters }] }; pivotTable.group(groupInfo); pivotTable.add("Quarters (date)", "Quarters (date)", GC.Spread.Pivot.PivotTableFieldType.columnField); pivotTable.add("total", "Totals", GC.Spread.Pivot.PivotTableFieldType.valueField, GC.Pivot.SubtotalType.sum); let style = new GC.Spread.Sheets.Style(); style.formatter = "$ #,##0"; pivotTable.setStyle({dataOnly: true}, style); pivotTable.resumeLayout(); pivotTable.autoFitColumn(); return pivotTable; } function columnFit(sheet, start, end, width){ for (let i = start; i < end; i++) { sheet.setColumnWidth(i, width); } } function bindEvent(pivotTable){ document.getElementById("pivotTable-theme").addEventListener("change", function(event){ let target = event.target; pivotTable.theme(target.value); }); } function themeOptions(spread){ let pivotTableTheme = document.getElementById("pivotTable-theme"); let options = `<option themeNumber = 0>light0</option>`; let themeType = ["light","medium","dark"], checked; for (let i = 0; i< themeType.length; i++){ let n = 1; for (n; n <= 28; n++) { checked = ""; if(i === 1 && n === 1){ checked = "selected"; } options += `<option ${checked}>${themeType[i]+n}</option>`; } } const customThemes = spread.customPivotTableThemes.all(); if (customThemes && customThemes.length > 0) { customThemes.forEach((theme) => { options += `<option>${theme.name()}</option>`; }); } pivotTableTheme.innerHTML = options; }
<!doctype html> <html style="height:100%;font-size:14px;"> <head> <meta charset="utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0" /> <link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css"> <script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets-shapes/dist/gc.spread.sheets.shapes.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets-pivot-addon/dist/gc.spread.pivot.pivottables.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/spread/source/data/data.js" type="text/javascript"></script> <script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script> <script src="$DEMOROOT$/spread/source/data/pivot-data.js" type="text/javascript"></script> <script src="app.js" type="text/javascript"></script> <link rel="stylesheet" type="text/css" href="styles.css"> </head> <body> <div class="sample-tutorial"> <div id="ss" class="sample-spreadsheets"></div> <div id="container" class="select-theme"> <div class="option-group"> <label><b>Pivot Table Theme:</b></label> </div> <hr> <div class="option-group"> <select name="theme" id="pivotTable-theme"></select> </div> </div> </div> </body> </html>
.sample-tutorial { position: relative; height: 100%; overflow: hidden; } .sample-spreadsheets { width: calc(100% - 280px); height: 100%; overflow: hidden; float: left; } body { position: absolute; top: 0; bottom: 0; left: 0; right: 0; } .select-theme { width: 280px; height: 100%; padding: 12px; float: right; box-sizing: border-box; background: #fbfbfb; overflow: auto; } #pivotTable-theme { display: block; width: 250px; margin-top: 10px; }

PivotTable Theme

SpreadJS provides 85 predefined themes - 29 light, 28 medium and 28 dark themes - that can be applied to a PivotTable. And you can add custom themes.

Description
app.vue
index.html
styles.css
Copy to CodeMine

You can change the PivotTable theme in the following ways:

    ///* function theme(theme: string | GC.Spread.Pivot.PivotTableTheme)
    /**
     * get or set pivot table theme
     * @param {string | PivotTableTheme} theme The param is style for pivot table
     * @example
     * pivotTable.theme(GC.Spread.Pivot.PivotTableThemes.light1.name())
     */
    theme (theme: string | PivotTableTheme): PivotTableTheme | void;
    let pivotTable = sheet.pivotTables.add("PivotTable", table.name(), 0, 0, GC.Spread.Pivot.PivotTableLayoutType.outline, GC.Spread.Pivot.PivotTableThemes.medium2.name());

    pivotTable.theme(GC.Spread.Pivot.PivotTableThemes.dark2.name());

You can also add custom themes and apply them.

    GC.Spread.Sheets.Workbook {
        //...

        // Customized Pivot Table Theme Manager
        customPivotTableThemes: CustomPivotTableThemesManager;
        /**
        * Set or get the default pivot table theme.
        */
        defaultPivotTableTheme: (name?: string) => GC.Spread.Pivot.PivotTableTheme | void;
    }
    class GC.Spread.Sheets.CustomPivotTableThemesManager {
        /**
        * Get all custom pivot table themes.
        */
        all: () => Array<GC.Spread.Pivot.PivotTableTheme>;
        /**
        * Get the custom pivot table theme by name.
        */
        get: (name: string) => GC.Spread.Pivot.PivotTableTheme | void;
        /**
        * Add the custom pivot table theme by name or style object.
        */
        add: (style: GC.Spread.Pivot.PivotTableTheme | string) => void;
        /**
        * Remove the custom pivot table theme by name.
        */
        remove: (name: string) => void;
        /**
        * Update the custom pivot table theme by name or style object.
        */
        update: (oldThemeName: string, newTheme: GC.Spread.Pivot.PivotTableTheme) => void;
    }
    const customTheme = new GC.Spread.Pivot.PivotTableTheme();
    customTheme.name("custom0");
    const whoTableStyle = new GC.Spread.Pivot.PivotTableStyle('red', 'white', '16px Calibri', new GC.Spread.Sheets.LineBorder('green'));
    customTheme.wholeTableStyle(whoTableStyle);
    spread.customPivotTableThemes.add(customTheme);

    pivotTable.theme("custom0");

    pivotTable.getStyleName(); // "custom0"

    // set default pivot table theme
    spread.defaultPivotTableTheme('custom0');
You can change the PivotTable theme in the following ways: You can also add custom themes and apply them.
<template> <div class="sample-tutorial"> <gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread"> </gc-spread-sheets> <div id="container" class="select-theme"> <div>Select a PivotTable theme:</div> <select name="theme" id="pivotTable-theme"></select> </div> </div> </template> <script> import Vue from 'vue'; import '@mescius/spread-sheets-vue' import GC from '@mescius/spread-sheets'; import "@mescius/spread-sheets-shapes"; import "@mescius/spread-sheets-pivot-addon"; import './styles.css'; let App = Vue.extend({ name: "app", methods: { initSpread: function (spread) { this.initCustomThemes(spread); spread.suspendPaint(); spread.setSheetCount(2); let sheet1 = spread.getSheet(0); let sheet2 = spread.getSheet(1); let tableName = this.getDataSource(sheet2, pivotSales); let pivotTable = this.initPivotTable(sheet1, tableName); this.themeOptions(spread); this.bindEvent(pivotTable); this.columnFit(sheet2,0,6,100); spread.resumePaint(); }, getDataSource: function (sheet, tableSource) { sheet.name("DataSource"); sheet.setRowCount(117); sheet.setColumnWidth(0, 120); sheet.getCell(-1, 0).formatter("YYYY-mm-DD"); sheet.getRange(-1,4,0,2).formatter("$ #,##0"); let table = sheet.tables.add('table', 0, 0, 117, 6); for(let i=2;i<=117;i++) { sheet.setFormula(i-1,5,'=D'+i+'*E'+i) } table.style(GC.Spread.Sheets.Tables.TableThemes["none"]); sheet.setArray(0, 0, tableSource); return table.name(); }, initPivotTable: function (sheet, source) { sheet.name("PivotTable"); sheet.setRowCount(1000); let option = { bandRows:true, bandColumns:true }; let pivotTable = sheet.pivotTables.add("pivotTable", source, 1, 1, GC.Spread.Pivot.PivotTableLayoutType.outline, GC.Spread.Pivot.PivotTableThemes.medium8.name(), option); pivotTable.suspendLayout(); pivotTable.add("salesperson", "Salesperson", GC.Spread.Pivot.PivotTableFieldType.rowField); pivotTable.add("car", "Cars", GC.Spread.Pivot.PivotTableFieldType.rowField); let groupInfo = { originFieldName: "date", dateGroups: [{ by: GC.Pivot.DateGroupType.quarters }] }; pivotTable.group(groupInfo); pivotTable.add("Quarters (date)", "Quarters (date)", GC.Spread.Pivot.PivotTableFieldType.columnField); pivotTable.add("total", "Totals", GC.Spread.Pivot.PivotTableFieldType.valueField, GC.Pivot.SubtotalType.sum); let style = new GC.Spread.Sheets.Style(); style.formatter = "$ #,##0"; pivotTable.setStyle({dataOnly: true}, style); pivotTable.resumeLayout(); pivotTable.autoFitColumn(); return pivotTable; }, columnFit: function (sheet, start, end, width){ for (let i = start; i < end; i++) { sheet.setColumnWidth(i, width); } }, bindEvent: function (pivotTable) { document.getElementById("pivotTable-theme").addEventListener("change", function (event) { let target = event.target; pivotTable.theme(target.value); }); }, initCustomThemes: function (spread) { const theme1 = new GC.Spread.Pivot.PivotTableTheme(); theme1.name('custom1'); theme1.wholeTableStyle(new GC.Spread.Pivot.PivotTableStyle('#b2dfdb', 'Text 1')); theme1.headerRowStyle(new GC.Spread.Pivot.PivotTableStyle('#00695c', '#fff')); theme1.reportFilterLabelsStyle(new GC.Spread.Pivot.PivotTableStyle('Accent 1 -50', '#fff')); theme1.reportFilterValuesStyle(new GC.Spread.Pivot.PivotTableStyle('Accent 1 -50', '#fff')); theme1.rowSubheading1Style(new GC.Spread.Pivot.PivotTableStyle('#e0f2f1', 'Text 1')) theme1.rowSubheading2Style(new GC.Spread.Pivot.PivotTableStyle(undefined, 'Text 1')) theme1.secondRowStripeStyle(new GC.Spread.Pivot.PivotTableStyle('#4db6ac')); theme1.subtotalRow1Style(new GC.Spread.Pivot.PivotTableStyle(undefined, 'Text 1')); theme1.grandTotalRowStyle(new GC.Spread.Pivot.PivotTableStyle('#00695c', '#fff')); const theme2 = new GC.Spread.Pivot.PivotTableTheme(); theme2.name('custom2'); theme2.wholeTableStyle(new GC.Spread.Pivot.PivotTableStyle('#ECEFF1', 'Text 1')); theme2.headerRowStyle(new GC.Spread.Pivot.PivotTableStyle('#455A64', '#fff')); theme2.reportFilterLabelsStyle(new GC.Spread.Pivot.PivotTableStyle('#607D8B', '#fff')); theme2.reportFilterValuesStyle(new GC.Spread.Pivot.PivotTableStyle('#607D8B', '#fff')); theme2.rowSubheading1Style(new GC.Spread.Pivot.PivotTableStyle('#90A4AE', 'Text 1')) theme2.rowSubheading2Style(new GC.Spread.Pivot.PivotTableStyle(undefined, 'Text 1')) theme2.secondRowStripeStyle(new GC.Spread.Pivot.PivotTableStyle('#CFD8DC')); theme2.subtotalRow1Style(new GC.Spread.Pivot.PivotTableStyle(undefined, 'Text 1')); theme2.grandTotalRowStyle(new GC.Spread.Pivot.PivotTableStyle('#455A64', '#fff')); spread.customPivotTableThemes.add(theme1); spread.customPivotTableThemes.add(theme2); }, themeOptions: function (spread) { let pivotTableTheme = document.getElementById("pivotTable-theme"); let options = `<option themeNumber = 0>light0</option>`; let themeType = ["light", "medium", "dark"], checked; for (let i = 0; i < themeType.length; i++) { let n = 1; for (n; n <= 28; n++) { checked = ""; if (i === 1 && n === 1) { checked = "selected"; } options += `<option ${checked}>${themeType[i]+n}</option>`; } } const customThemes = spread.customPivotTableThemes.all(); if (customThemes && customThemes.length > 0) { customThemes.forEach((theme) => { options += `<option>${theme.name()}</option>`; }); } pivotTableTheme.innerHTML = options; } }, computed: { dataSource() { return getData(); } } }); new Vue({ render: h => h(App) }).$mount('#app'); </script>
<!doctype html> <html style="height:100%;font-size:14px;"> <head> <meta charset="utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0" /> <link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/vue/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css"> <script src="$DEMOROOT$/spread/source/data/pivot-data.js" type="text/javascript"></script> <!-- SystemJS --> <script src="$DEMOROOT$/en/vue/node_modules/systemjs/dist/system.src.js"></script> <script src="systemjs.config.js"></script> <script> System.import('./src/app.vue'); System.import('$DEMOROOT$/en/lib/vue/license.js'); </script> </head> <body> <div id="app"></div> </body> </html>
.sample-tutorial { position: relative; height: 100%; overflow: hidden; } .sample-spreadsheets { width: calc(100% - 280px); height: 100%; overflow: hidden; float: left; } body { position: absolute; top: 0; bottom: 0; left: 0; right: 0; } .select-theme { width: 280px; height: 100%; padding: 12px; float: right; box-sizing: border-box; background: #fbfbfb; overflow: auto; } #pivotTable-theme { display: block; width: 250px; margin-top: 10px; }
(function (global) { System.config({ transpiler: 'plugin-babel', babelOptions: { es2015: true }, meta: { '*.css': { loader: 'css' }, '*.vue': { loader: 'vue-loader' } }, paths: { // paths serve as alias 'npm:': 'node_modules/' }, // map tells the System loader where to look for things map: { '@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js', '@mescius/spread-sheets-shapes': 'npm:@mescius/spread-sheets-shapes/index.js', '@mescius/spread-sheets-pivot-addon': 'npm:@mescius/spread-sheets-pivot-addon/index.js', '@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js', '@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js', 'jszip': 'npm:jszip/dist/jszip.js', 'css': 'npm:systemjs-plugin-css/css.js', 'vue': 'npm:vue/dist/vue.min.js', 'vue-loader': 'npm:systemjs-vue-browser/index.js', 'tiny-emitter': 'npm:tiny-emitter/index.js', 'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js', 'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js' }, // packages tells the System loader how to load when no filename and/or no extension packages: { src: { defaultExtension: 'js' }, rxjs: { defaultExtension: 'js' }, "node_modules": { defaultExtension: 'js' } } }); })(this);

You can change the PivotTable theme in the following ways:
You can also add custom themes and apply them.
import * as React from 'react';
import { createRoot } from 'react-dom/client';
import './styles.css';
import { AppFunc } from './app-func';
import { App } from './app-class';
// 1. Functional Component sample
createRoot(document.getElementById('app')).render(<AppFunc />);
// 2. Class Component sample
// createRoot(document.getElementById('app')).render(<App />);
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import "@mescius/spread-sheets-shapes";
import "@mescius/spread-sheets-pivot-addon";
import { SpreadSheets } from '@mescius/spread-sheets-react';
import './styles.css';
export function AppFunc() {
const initSpread = (spread) => {
initCustomThemes(spread);
spread.suspendPaint();
spread.setSheetCount(2);
let sheet1 = spread.getSheet(0);
let sheet2 = spread.getSheet(1);
let tableName = getDataSource(sheet2, pivotSales);
let pivotTable = initPivotTable(sheet1, tableName);
themeOptions(spread);
bindEvent(pivotTable);
columnFit(sheet2, 0, 6, 100);
spread.resumePaint();
}
const getDataSource = (sheet, tableSource) => {
sheet.name("DataSource");
sheet.setRowCount(117);
sheet.setColumnWidth(0, 120);
sheet.getCell(-1, 0).formatter("YYYY-mm-DD");
sheet.getRange(-1, 4, 0, 2).formatter("$ #,##0");
let table = sheet.tables.add('table', 0, 0, 117, 6);
for (let i = 2; i <= 117; i++) {
sheet.setFormula(i - 1, 5, '=D' + i + '*E' + i)
}
table.style(GC.Spread.Sheets.Tables.TableThemes["none"]);
sheet.setArray(0, 0, tableSource);
return table.name();
}
const initPivotTable = (sheet, source) => {
sheet.name("PivotTable");
sheet.setRowCount(1000);
let option = {
bandRows: true,
bandColumns: true
};
let pivotTable = sheet.pivotTables.add("pivotTable", source, 1, 1, GC.Spread.Pivot.PivotTableLayoutType.outline, GC.Spread.Pivot.PivotTableThemes.medium8.name(), option);
pivotTable.suspendLayout();
pivotTable.add("salesperson", "Salesperson", GC.Spread.Pivot.PivotTableFieldType.rowField);
pivotTable.add("car", "Cars", GC.Spread.Pivot.PivotTableFieldType.rowField);
let groupInfo = { originFieldName: "date", dateGroups: [{ by: GC.Pivot.DateGroupType.quarters }] };
pivotTable.group(groupInfo);
pivotTable.add("Quarters (date)", "Quarters (date)", GC.Spread.Pivot.PivotTableFieldType.columnField);
pivotTable.add("total", "Totals", GC.Spread.Pivot.PivotTableFieldType.valueField, GC.Pivot.SubtotalType.sum);
let style = new GC.Spread.Sheets.Style();
style.formatter = "$ #,##0";
pivotTable.setStyle({ dataOnly: true }, style);
pivotTable.resumeLayout();
pivotTable.autoFitColumn();
return pivotTable;
}
const columnFit = (sheet, start, end, width) => {
for (let i = start; i < end; i++) {
sheet.setColumnWidth(i, width);
}
}
const bindEvent = (pivotTable) => {
document.getElementById("pivotTable-theme").addEventListener("change", function (event) {
let target = event.target;
pivotTable.theme(target.value);
});
}
const initCustomThemes = (spread) => {
const theme1 = new GC.Spread.Pivot.PivotTableTheme();
theme1.name('custom1');
theme1.wholeTableStyle(new GC.Spread.Pivot.PivotTableStyle('#b2dfdb', 'Text 1'));
theme1.headerRowStyle(new GC.Spread.Pivot.PivotTableStyle('#00695c', '#fff'));
theme1.reportFilterLabelsStyle(new GC.Spread.Pivot.PivotTableStyle('Accent 1 -50', '#fff'));
theme1.reportFilterValuesStyle(new GC.Spread.Pivot.PivotTableStyle('Accent 1 -50', '#fff'));
theme1.rowSubheading1Style(new GC.Spread.Pivot.PivotTableStyle('#e0f2f1', 'Text 1'))
theme1.rowSubheading2Style(new GC.Spread.Pivot.PivotTableStyle(undefined, 'Text 1'))
theme1.secondRowStripeStyle(new GC.Spread.Pivot.PivotTableStyle('#4db6ac'));
theme1.subtotalRow1Style(new GC.Spread.Pivot.PivotTableStyle(undefined, 'Text 1'));
theme1.grandTotalRowStyle(new GC.Spread.Pivot.PivotTableStyle('#00695c', '#fff'));
const theme2 = new GC.Spread.Pivot.PivotTableTheme();
theme2.name('custom2');
theme2.wholeTableStyle(new GC.Spread.Pivot.PivotTableStyle('#ECEFF1', 'Text 1'));
theme2.headerRowStyle(new GC.Spread.Pivot.PivotTableStyle('#455A64', '#fff'));
theme2.reportFilterLabelsStyle(new GC.Spread.Pivot.PivotTableStyle('#607D8B', '#fff'));
theme2.reportFilterValuesStyle(new GC.Spread.Pivot.PivotTableStyle('#607D8B', '#fff'));
theme2.rowSubheading1Style(new GC.Spread.Pivot.PivotTableStyle('#90A4AE', 'Text 1'))
theme2.rowSubheading2Style(new GC.Spread.Pivot.PivotTableStyle(undefined, 'Text 1'))
theme2.secondRowStripeStyle(new GC.Spread.Pivot.PivotTableStyle('#CFD8DC'));
theme2.subtotalRow1Style(new GC.Spread.Pivot.PivotTableStyle(undefined, 'Text 1'));
theme2.grandTotalRowStyle(new GC.Spread.Pivot.PivotTableStyle('#455A64', '#fff'));
spread.customPivotTableThemes.add(theme1);
spread.customPivotTableThemes.add(theme2);
}
const themeOptions = (spread) => {
let pivotTableTheme = document.getElementById("pivotTable-theme");
let options = `<option themeNumber = 0>light0</option>`;
let themeType = ["light", "medium", "dark"], checked;
for (let i = 0; i < themeType.length; i++) {
let n = 1;
for (n; n <= 28; n++) {
checked = "";
if (i === 1 && n === 1) {
checked = "selected";
}
options += `<option ${checked}>${themeType[i] + n}</option>`;
}
}
const customThemes = spread.customPivotTableThemes.all();
if (customThemes && customThemes.length > 0) {
customThemes.forEach((theme) => {
options += `<option>${theme.name()}</option>`;
});
}
pivotTableTheme.innerHTML = options;
}
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => initSpread(spread)}>
</SpreadSheets>
</div>
<div id="container" class="select-theme">
<div class="option-group">
<label><b>Pivot Table Theme:</b></label>
</div>
<hr />
<div class="option-group">
<select name="theme" id="pivotTable-theme"></select>
</div>
</div>
</div>
);
}
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import "@mescius/spread-sheets-shapes";
import "@mescius/spread-sheets-pivot-addon";
import { SpreadSheets } from '@mescius/spread-sheets-react';
import './styles.css';
const Component = React.Component;
export class App extends Component {
render() {
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => this.initSpread(spread)}>
</SpreadSheets>
</div>
<div id="container" class="select-theme">
<div class="option-group">
<label><b>Pivot Table Theme:</b></label>
</div>
<hr />
<div class="option-group">
<select name="theme" id="pivotTable-theme"></select>
</div>
</div>
</div>
);
}
initSpread(spread) {
this.initCustomThemes(spread);
spread.suspendPaint();
spread.setSheetCount(2);
let sheet1 = spread.getSheet(0);
let sheet2 = spread.getSheet(1);
let tableName = this.getDataSource(sheet2, pivotSales);
let pivotTable = this.initPivotTable(sheet1, tableName);
this.themeOptions(spread);
this.bindEvent(pivotTable);
this.columnFit(sheet2, 0, 6, 100);
spread.resumePaint();
}
getDataSource(sheet, tableSource) {
sheet.name("DataSource");
sheet.setRowCount(117);
sheet.setColumnWidth(0, 120);
sheet.getCell(-1, 0).formatter("YYYY-mm-DD");
sheet.getRange(-1, 4, 0, 2).formatter("$ #,##0");
let table = sheet.tables.add('table', 0, 0, 117, 6);
for (let i = 2; i <= 117; i++) {
sheet.setFormula(i - 1, 5, '=D' + i + '*E' + i)
}
table.style(GC.Spread.Sheets.Tables.TableThemes["none"]);
sheet.setArray(0, 0, tableSource);
return table.name();
}
initPivotTable(sheet, source) {
sheet.name("PivotTable");
sheet.setRowCount(1000);
let option = {
bandRows: true,
bandColumns: true
};
let pivotTable = sheet.pivotTables.add("pivotTable", source, 1, 1, GC.Spread.Pivot.PivotTableLayoutType.outline, GC.Spread.Pivot.PivotTableThemes.medium8.name(), option);
pivotTable.suspendLayout();
pivotTable.add("salesperson", "Salesperson", GC.Spread.Pivot.PivotTableFieldType.rowField);
pivotTable.add("car", "Cars", GC.Spread.Pivot.PivotTableFieldType.rowField);
let groupInfo = { originFieldName: "date", dateGroups: [{ by: GC.Pivot.DateGroupType.quarters }] };
pivotTable.group(groupInfo);
pivotTable.add("Quarters (date)", "Quarters (date)", GC.Spread.Pivot.PivotTableFieldType.columnField);
pivotTable.add("total", "Totals", GC.Spread.Pivot.PivotTableFieldType.valueField, GC.Pivot.SubtotalType.sum);
let style = new GC.Spread.Sheets.Style();
style.formatter = "$ #,##0";
pivotTable.setStyle({ dataOnly: true }, style);
pivotTable.resumeLayout();
pivotTable.autoFitColumn();
return pivotTable;
}
columnFit(sheet, start, end, width) {
for (let i = start; i < end; i++) {
sheet.setColumnWidth(i, width);
}
}
bindEvent(pivotTable) {
document.getElementById("pivotTable-theme").addEventListener("change", function (event) {
let target = event.target;
pivotTable.theme(target.value);
});
}
initCustomThemes(spread) {
const theme1 = new GC.Spread.Pivot.PivotTableTheme();
theme1.name('custom1');
theme1.wholeTableStyle(new GC.Spread.Pivot.PivotTableStyle('#b2dfdb', 'Text 1'));
theme1.headerRowStyle(new GC.Spread.Pivot.PivotTableStyle('#00695c', '#fff'));
theme1.reportFilterLabelsStyle(new GC.Spread.Pivot.PivotTableStyle('Accent 1 -50', '#fff'));
theme1.reportFilterValuesStyle(new GC.Spread.Pivot.PivotTableStyle('Accent 1 -50', '#fff'));
theme1.rowSubheading1Style(new GC.Spread.Pivot.PivotTableStyle('#e0f2f1', 'Text 1'))
theme1.rowSubheading2Style(new GC.Spread.Pivot.PivotTableStyle(undefined, 'Text 1'))
theme1.secondRowStripeStyle(new GC.Spread.Pivot.PivotTableStyle('#4db6ac'));
theme1.subtotalRow1Style(new GC.Spread.Pivot.PivotTableStyle(undefined, 'Text 1'));
theme1.grandTotalRowStyle(new GC.Spread.Pivot.PivotTableStyle('#00695c', '#fff'));
const theme2 = new GC.Spread.Pivot.PivotTableTheme();
theme2.name('custom2');
theme2.wholeTableStyle(new GC.Spread.Pivot.PivotTableStyle('#ECEFF1', 'Text 1'));
theme2.headerRowStyle(new GC.Spread.Pivot.PivotTableStyle('#455A64', '#fff'));
theme2.reportFilterLabelsStyle(new GC.Spread.Pivot.PivotTableStyle('#607D8B', '#fff'));
theme2.reportFilterValuesStyle(new GC.Spread.Pivot.PivotTableStyle('#607D8B', '#fff'));
theme2.rowSubheading1Style(new GC.Spread.Pivot.PivotTableStyle('#90A4AE', 'Text 1'))
theme2.rowSubheading2Style(new GC.Spread.Pivot.PivotTableStyle(undefined, 'Text 1'))
theme2.secondRowStripeStyle(new GC.Spread.Pivot.PivotTableStyle('#CFD8DC'));
theme2.subtotalRow1Style(new GC.Spread.Pivot.PivotTableStyle(undefined, 'Text 1'));
theme2.grandTotalRowStyle(new GC.Spread.Pivot.PivotTableStyle('#455A64', '#fff'));
spread.customPivotTableThemes.add(theme1);
spread.customPivotTableThemes.add(theme2);
}
themeOptions(spread) {
let pivotTableTheme = document.getElementById("pivotTable-theme");
let options = `<option themeNumber = 0>light0</option>`;
let themeType = ["light", "medium", "dark"], checked;
for (let i = 0; i < themeType.length; i++) {
let n = 1;
for (n; n <= 28; n++) {
checked = "";
if (i === 1 && n === 1) {
checked = "selected";
}
options += `<option ${checked}>${themeType[i] + n}</option>`;
}
}
const customThemes = spread.customPivotTableThemes.all();
if (customThemes && customThemes.length > 0) {
customThemes.forEach((theme) => {
options += `<option>${theme.name()}</option>`;
});
}
pivotTableTheme.innerHTML = options;
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/spread/source/data/pivot-data.js" type="text/javascript"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/en/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app" style="height: 100%;"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
.select-theme {
width: 280px;
height: 100%;
padding: 12px;
float: right;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
#pivotTable-theme {
display: block;
width: 250px;
margin-top: 10px;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-shapes': 'npm:@mescius/spread-sheets-shapes/index.js',
'@mescius/spread-sheets-pivot-addon': 'npm:@mescius/spread-sheets-pivot-addon/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/cjs/react.production.js',
'react-dom': 'npm:react-dom/cjs/react-dom.production.js',
'react-dom/client': 'npm:react-dom/cjs/react-dom-client.production.js',
'scheduler': 'npm:scheduler/cjs/scheduler.production.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

You can change the PivotTable theme in the following ways:
You can also add custom themes and apply them.
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import "@mescius/spread-sheets-shapes";
import "@mescius/spread-sheets-pivot-addon";
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
hostStyle = {
width: 'calc(100% - 280px)',
height: '100%',
overflow: 'hidden',
float: 'left'
};
constructor() {
}
initSpread($event: any) {
let spread = $event.spread;
this.initCustomThemes(spread);
spread.suspendPaint();
spread.setSheetCount(2);
let sheet1 = spread.getSheet(0);
let sheet2 = spread.getSheet(1);
let tableName = this.getDataSource(sheet2, pivotSales);
let pivotTable = this.initPivotTable(sheet1, tableName);
this.themeOptions(spread);
this.bindEvent(pivotTable);
this.columnFit(sheet2,0,6,100);
spread.resumePaint();
}
getDataSource(sheet:GC.Spread.Sheets.Workbook, tableSource:any){
sheet.name("DataSource");
sheet.setRowCount(117);
sheet.setColumnWidth(0, 120);
sheet.getCell(-1, 0).formatter("YYYY-mm-DD");
sheet.getRange(-1,4,0,2).formatter("$ #,##0");
let table = sheet.tables.add('table', 0, 0, 117, 6);
for(let i=2;i<=117;i++)
{
sheet.setFormula(i-1,5,'=D'+i+'*E'+i)
}
table.style(GC.Spread.Sheets.Tables.TableThemes["none"]);
sheet.setArray(0, 0, tableSource);
return table.name();
}
initPivotTable(sheet:GC.Spread.Sheets.Workbook, source:any){
sheet.name("PivotTable");
sheet.setRowCount(1000);
let option = {
bandRows:true,
bandColumns:true
};
let pivotTable = sheet.pivotTables.add("pivotTable", source, 1, 1, GC.Spread.Pivot.PivotTableLayoutType.outline, GC.Spread.Pivot.PivotTableThemes.medium8.name(), option);
pivotTable.suspendLayout();
pivotTable.add("salesperson", "Salesperson", GC.Spread.Pivot.PivotTableFieldType.rowField);
pivotTable.add("car", "Cars", GC.Spread.Pivot.PivotTableFieldType.rowField);
let groupInfo = { originFieldName: "date", dateGroups: [{ by: GC.Pivot.DateGroupType.quarters }] };
pivotTable.group(groupInfo);
pivotTable.add("Quarters (date)", "Quarters (date)", GC.Spread.Pivot.PivotTableFieldType.columnField);
pivotTable.add("total", "Totals", GC.Spread.Pivot.PivotTableFieldType.valueField, GC.Pivot.SubtotalType.sum);
let style = new GC.Spread.Sheets.Style();
style.formatter = "$ #,##0";
pivotTable.setStyle({dataOnly: true}, style);
pivotTable.resumeLayout();
pivotTable.autoFitColumn();
return pivotTable;
}
columnFit(sheet:GC.Spread.Sheets.Workbook, start, end, width){
for (let i = start; i < end; i++) {
sheet.setColumnWidth(i, width);
}
}
bindEvent(pivotTable:any){
document.getElementById("pivotTable-theme").addEventListener("change", function(event){
let target = event.target;
pivotTable.theme(target.value);
});
}
initCustomThemes(spread: GC.Spread.Sheets.Workbook) {
const theme1 = new GC.Spread.Pivot.PivotTableTheme();
theme1.name('custom1');
theme1.wholeTableStyle(new GC.Spread.Pivot.PivotTableStyle('#b2dfdb', 'Text 1'));
theme1.headerRowStyle(new GC.Spread.Pivot.PivotTableStyle('#00695c', '#fff'));
theme1.reportFilterLabelsStyle(new GC.Spread.Pivot.PivotTableStyle('Accent 1 -50', '#fff'));
theme1.reportFilterValuesStyle(new GC.Spread.Pivot.PivotTableStyle('Accent 1 -50', '#fff'));
theme1.rowSubheading1Style(new GC.Spread.Pivot.PivotTableStyle('#e0f2f1', 'Text 1'))
theme1.rowSubheading2Style(new GC.Spread.Pivot.PivotTableStyle(undefined, 'Text 1'))
theme1.secondRowStripeStyle(new GC.Spread.Pivot.PivotTableStyle('#4db6ac'));
theme1.subtotalRow1Style(new GC.Spread.Pivot.PivotTableStyle(undefined, 'Text 1'));
theme1.grandTotalRowStyle(new GC.Spread.Pivot.PivotTableStyle('#00695c', '#fff'));
const theme2 = new GC.Spread.Pivot.PivotTableTheme();
theme2.name('custom2');
theme2.wholeTableStyle(new GC.Spread.Pivot.PivotTableStyle('#ECEFF1', 'Text 1'));
theme2.headerRowStyle(new GC.Spread.Pivot.PivotTableStyle('#455A64', '#fff'));
theme2.reportFilterLabelsStyle(new GC.Spread.Pivot.PivotTableStyle('#607D8B', '#fff'));
theme2.reportFilterValuesStyle(new GC.Spread.Pivot.PivotTableStyle('#607D8B', '#fff'));
theme2.rowSubheading1Style(new GC.Spread.Pivot.PivotTableStyle('#90A4AE', 'Text 1'))
theme2.rowSubheading2Style(new GC.Spread.Pivot.PivotTableStyle(undefined, 'Text 1'))
theme2.secondRowStripeStyle(new GC.Spread.Pivot.PivotTableStyle('#CFD8DC'));
theme2.subtotalRow1Style(new GC.Spread.Pivot.PivotTableStyle(undefined, 'Text 1'));
theme2.grandTotalRowStyle(new GC.Spread.Pivot.PivotTableStyle('#455A64', '#fff'));
spread.customPivotTableThemes.add(theme1);
spread.customPivotTableThemes.add(theme2);
}
themeOptions(spread: GC.Spread.Sheets.Workbook){
let pivotTableTheme = document.getElementById("pivotTable-theme");
let options = `<option themeNumber = 0>light0</option>`;
let themeType = ["light","medium","dark"], checked;
for (let i = 0; i< themeType.length; i++){
let n = 1;
for (n; n <= 28; n++) {
checked = "";
if(i === 1 && n === 1){
checked = "selected";
}
options += `<option ${checked}>${themeType[i]+n}</option>`;
}
}
const customThemes = spread.customPivotTableThemes.all();
if (customThemes && customThemes.length > 0) {
customThemes.forEach((theme) => {
options += `<option>${theme.name()}</option>`;
});
}
pivotTableTheme.innerHTML = options;
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule {}
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/spread/source/data/pivot-data.js" type="text/javascript"></script>
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
</gc-spread-sheets>
<div id="container" class="select-theme">
<div class="option-group">
<label><b>Pivot Table Theme:</b></label>
</div>
<hr>
<div class="option-group">
<select name="theme" id="pivotTable-theme"></select>
</div>
</div>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
.select-theme {
width: 280px;
height: 100%;
padding: 12px;
float: right;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
#pivotTable-theme {
display: block;
width: 250px;
margin-top: 10px;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-shapes': 'npm:@mescius/spread-sheets-shapes/index.js',
'@mescius/spread-sheets-pivot-addon': 'npm:@mescius/spread-sheets-pivot-addon/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);